Bug 51155 - Upgrading to kernel-2.4.3-12 renders Compaq System unusable
Summary: Upgrading to kernel-2.4.3-12 renders Compaq System unusable
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-07 23:17 UTC by Thomas W. Holt Jr.
Modified: 2007-04-18 16:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 16:37:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas W. Holt Jr. 2001-08-07 23:17:43 UTC
Description of Problem: After updating the kernel to the recommended 2.4.3-12, system becomes unbootable because the kernel no longer sees the RAID Mirror

How Reproducible: 


Steps to Reproduce:
1. Install Redhat 7.1 on Compaq Proliant 5500 w/SmartArray 3200, 1 Logical Drive, Mirror
2. Upgrade kernel to recommended 2.4.3-12 (initrd,lilo,etc)
3. reboot

Actual Results: the SmartArray driver no longer sees the logical drive and
the kernel panics trying to mount the root

Expected Results: Hardware configuration working in base version should continue working after recommended kernel upgrade

Additional Information: Compiling kernel 2.4.3 from kernel.org works fine,
compiling redhat 2.4.3-12 from the SRPM gives the same results.

Comment 1 Robert Reynolds 2001-10-19 19:04:16 UTC
Experienced the same problem on Compaq Proliant 8500.  2.4.3-12enterprise and 2.4.3-12smp kernel panic 2.4.3-12up does boot but that will not help an 8 cpu 
machine.  Here is the error:

Mulitple lines of:  /lib/cpqarray.o: unresolved symbol ....

ERROR: /bin/insmode exited abnormally
VFS: Cannot open root device "4806" or 48:06
Please append a correct "root=" option
kernel panic: VFS: Unable to mount root fs on 48:06

Contents of lilo.conf:
boot=/dev/ida/c0d0p1
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
message=/boot/message
linear
default=linux

image=/boot/vmlinuz-2.4.3-12enterprise
        label=linux
        initrd=/boot/initrd-2.4.3-12enterprise.img
        read-only
        root=/dev/ida/c0d0p6

image=/boot/vmlinuz-2.4.3-12smp
        label=linux-smp
        initrd=/boot/initrd-2.4.3-12smp.img
        read-only
        root=/dev/ida/c0d0p6

image=/boot/vmlinuz-2.4.3-12
        label=linux-up
        initrd=/boot/initrd-2.4.3-12.img
        read-only
        root=/dev/ida/c0d0p6

image=/boot/vmlinuz-2.4.2-2enterprise
        label=linux-old
        initrd=/boot/initrd-2.4.2-2enterprise.img
        read-only
        root=/dev/ida/c0d0p6

image=/boot/vmlinuz-2.4.2-2smp
        label=linux-smp-old
        initrd=/boot/initrd-2.4.2-2smp.img
        read-only
        root=/dev/ida/c0d0p6

image=/boot/vmlinuz-2.4.2-2
        label=linux-up-old
        initrd=/boot/initrd-2.4.2-2.img
        read-only
        root=/dev/ida/c0d0p6

Comment 2 Arjan van de Ven 2001-10-19 19:09:33 UTC
Does the yesterday released 2.4.9-6 kernel work ?

Comment 3 Robert Reynolds 2001-10-22 22:12:24 UTC
Yes, 2.4.9-6 does work.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.